<?php

declare(strict_types=1);

namespace Seka\Vzdelavanie\Enums;

/**
 * Enum ModelStatusEnum
 *
 * @package Seka\Vzdelavanie\Enums
 */
enum ModelStatusEnum: string
{
    case PUBLIKOVANE = 'PUBLIKOVANE';
    case NEPUBLIKOVANE = 'NEPUBLIKOVANE';

    /**
     * @return string
     */
    public function label(): string
    {
        return match ($this) {
            self::PUBLIKOVANE => 'publikované',
            self::NEPUBLIKOVANE => 'nepublikované',
        };
    }

    /**
     * @param \Seka\Vzdelavanie\Enums\ModelStatusEnum $other
     *
     * @return bool
     */
    public function equal(self $other): bool
    {
        return $this === $other;
    }
}
